com.jscape.inet.ftps

## Interface Ftps.ConnectionStrategy

- Enclosing class:
    Ftps

      public static interface Ftps.ConnectionStrategy

  The FTP client connection strategy.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `authenticate(com.jscape.inet.ftps.FtpsClient client, java.lang.String user, java.lang.String password, java.lang.String account)` Performs user authentication.
    `com.jscape.inet.ftps.FtpsClient` | `createClient(Ftps source, com.jscape.inet.util.ConnectionParameters parameters, javax.net.ssl.SSLContext ctx, java.lang.String[] enabledCiphers, java.util.logging.Logger logger)` Creates an appropriate FTP client.

- - ### Method Detail

    - #### authenticate

          void authenticate(com.jscape.inet.ftps.FtpsClient client,
                            java.lang.String user,
                            java.lang.String password,
                            java.lang.String account)
                     throws FtpException

      Performs user authentication.
      Parameters:
        `client` - the connected FTP client
        `user` - the FTP user name
        `password` - the FTP user password
        `account` - the optional FTP account
      Throws:
        `FtpException` - if an I/O or protocol error occurs

    - #### createClient

          com.jscape.inet.ftps.FtpsClient createClient(Ftps source,
                                                       com.jscape.inet.util.ConnectionParameters parameters,
                                                       javax.net.ssl.SSLContext ctx,
                                                       java.lang.String[] enabledCiphers,
                                                       java.util.logging.Logger logger)
                                                throws FtpException

      Creates an appropriate FTP client.
      Parameters:
        `source` - the source Ftps instance
        `parameters` - the connection parameters
        `ctx` - the SSL context
        `enabledCiphers` - Ciphers enable
        `logger` - the logger
      Returns:
        a new FTP client
      Throws:
        `FtpException` - if an I/O or protocol error occurs

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved